15940

Where can I find apxs on amazon linux?

I'm trying to get started with an AWS website, and used the free tier Amazon Linux installation. I installed python3.3 from source, but the wsgi it comes with is for python2.6 so I tried installing mod_wsgi3.3 from source as well, at which point I get

./configure --with-python=/usr/local/bin/python3 checking for apxs2... no checking for apxs... no checking Apache version... ./configure: line 1704: apxs: command not found ./configure: line 1704: apxs: command not found ./configure: line 1705: apxs: command not found ./configure: line 1708: /: is a directory ./configure: line 1877: apxs: command not found configure: creating ./config.status config.status: error: cannot find input file: Makefile.in

and for the life of me, I have not found a single helpful online source to tell me how to get apxs installed on this system. Suggestions have all been for ubuntu, and hence sudo apt-get install apache2{}-dev where '{}' can be replace with nothing, or -worker or -threaded or -prefork; none of these have worked on my system (using sudo yum install instead).

Is there a different package name I should be looking for? If so, what is it/where do I find potential packages? sudo yum search apache doesn't yield any apache2.

Please help.

Answer1:

First of all if you are using Amazon Linux or any RPM based linux distro, you should use "httpd" rather than "apache2". Apache use in Debian family.

I think you can resolve this issue by installing httpd-devel package. Try yum search httpd-devel and choose required version and then do yum install httpd-devel <package version>

Sometime just firing yum install httpd-devel can do the job.

Recommend

  • RNetCDF cannot open shared object file
  • Compiling PHP with --enable-embedded-mysqli and --with-mysqli
  • Cannot install sqlite3 gem
  • Best way to produce 'colour correct' raster from a PDF or PS with ghostscript
  • Rails 3.2 from SQLite locally to Postgres on Heroku
  • Heroku push rejected - Hartl's Rails 3.2 tutorial
  • Building jamvm 1.5.4 on OS X Lion
  • How to resolve this packager error on react native Android
  • Select value from xtype selection type checkbox CQ5
  • Portable JRE on Linux - possible?
  • File extension of zlib zipped html page?
  • iOS Cordova first plugin - plugin.xml to inject a feature
  • Add reference to ASP.NET 5 Class Library from Framework 4.5 Class Library Project
  • Installing Perl6 and Panda on Ubuntu 15.10. Problems with bootstrap.pl
  • Write output of for loop to multiple files
  • How can I get the full list of running processes on a Mac from a python app
  • nodemcu custom firmware build problems
  • Android Studio Can't Find tools.jar
  • Convert SQLite database to XML
  • Web.config system.webserver errors
  • Eclipse CDT error: Unable to compile
  • Problem deserializing objects from cache on MyBatis 3/Java
  • Make VS2015 use angular-cli ng at build time in a .NET project
  • Checking free space on FTP server
  • Change Inet root folder for iis 7
  • Cannot connect to cassandra from Spark
  • Using $this when not in object context
  • Jenkins: How To Build multiple projects from a TFS repository?
  • How do I fake an specific browser client when using Java's Net library?
  • How reduce the height of an mschart by breaking up the y-axis
  • Perl system calls when running as another user using sudo
  • Deserializing XML into class C#
  • Updated Ionic CLI but shows previous version (Windows)
  • Apache 2.4 - remove | delete | uninstall
  • Run Powershell script from inside other Powershell script with dynamic redirection to file
  • How to include full .NET prerequisite for Wix Burn installer
  • costura.fody for a dll that references another dll
  • jQuery Masonry / Isotope and fluid images: Momentary overlap on window resize